PUT /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance
1 min
PUT
https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance
task_idstringUnique identifier of the task
asset_idstringUnique identifier of the asset
draft_idstring<p>Unique identifier of the draft or <code>latest</code>. <code>latest</code> refers to the most recent draft of the asset within the task.</p>
acceptstringGenerated from available response content types
bodyobjectPayload to update the brand compliance
200Brand compliance details of the asset draft
400Client error
401Authorization error
404Not found error
curl --request PUT \
--url https://api.cmp.optimizely.com/v3/tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"status": "approved",
"categories": [
{
"id": "66dd74f41a335b59cd98915b",
"status": "compliant",
"notes": "Look'\''s good",
"criteria": [
{
"id": "66dd74f41a335b59cd98915c",
"description": "For all CMYK, RGB and HTML breakdowns, please refer to the full Colour Policy guideline",
"selected": true
}
]
}
]
}'